> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/dev-reference/local-admin-password-management.md).

# ローカル管理者パスワード管理

RealmJoin は、API を通じて個別のローカル管理者 (LAPS) アカウントを管理し、パスワードは Azure Key Vault に暗号化して保存されます。

## 概要

Local Administrator Password Solution (LAPS) は、サポートおよび緊急時の目的で、すべての Windows コンピューターで同一の管理者資格情報を使用する問題を解決します。LAPS 単体では、ローカル管理者アカウント用のランダム生成パスワードを作成します。

RealmJoin を使うと、ローカルサポートまたは大規模なリモートサポート向けに、安全で個別化された管理者アカウントを管理できます。RealmJoin は、顧客のTenant内の Azure Key Vault に暗号化されたパスワードを保存し、これらの資格情報へのすべてのアクセスの監査ログを保存します。

RealmJoin の API では、あなたのTenant内の指定デバイスに対して「Support Account」（ローカル管理者）を要求できます。詳細は [RealmJoin の API リファレンス](https://customer-api.realmjoin.com/scalar/v1) を参照して、現在どの操作が詳細にサポートされているかを確認してください。RealmJoin で LAPS を使用するには、RealmJoin Windows Client の導入が必要です。

環境で LAPS が正しく設定され、デバイスに RealmJoin Windows Client が展開されていることを前提としています。また、 [認証する ](https://docs.realmjoin.com/ja/dev-reference/realmjoin-api/authentication.md)適切な http Authorization ヘッダーを使用して、RealmJoin の API へのすべてのリクエストを行ってください。

## Support Account の要求

エンドポイントを使用して、対象デバイス上にローカル Support Account を作成するよう RealmJoin に指示します `/laps/request`。リクエストは Application Insights を使用してキューに入れられ、可能な限り早く RealmJoin Backend と RealmJoin Windows Client によって処理されます。アカウントが作成され、使用可能になったら。

このエンドポイントは、アカウントの作成にどれくらい時間がかかるかの見積もりを返します。アカウントの準備ができたら、 [こちら](#retrieve-support-account-credentials) 資格情報を取得する方法については

### 例

次の状況を想定しましょう：

* RealmJoin API の資格情報を取得し、次のようにエンコードしています `dC0xMjM0MTIzNDpteVMzY3JldCE=` (Base64)
* 対象デバイスの Entra `deviceId` ある `9999dab9-f946-40ee-9a17-2500c8d00878`。これは Entra オブジェクト ID ではないことに注意してください（別の属性です）！

現在、対象デバイスには Support Account は存在しません。

![ローカル アカウント - Support Account の要求前](https://3438325150-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MkrcM7cKOpXKri1kVrh%2Fuploads%2FFlbUzySBT9dqV4nrm6kx%2FLaps-before.png?alt=media\&token=e5e95f49-1293-4696-ad1f-a245bb6b42e6)

それでは、次を作成しましょう **リクエスト**:

ヘッダー:

```http
Authorization: Basic dC0xMjM0MTIzNDpteVMzY3JldCE=
Content-Type: application/json
```

リクエスト / URI:

```http
POST https://customer-api.realmjoin.com/laps/request?deviceID=9999dab9-f946-40ee-9a17-2500c8d00878
```

このエンドポイントはリクエスト本文を想定していません。

**レスポンス**

HTTP ステータス: `200` (OK)

本文（JSON 表記）:

```json
{
    "estimatedWaitTime": "00:12:31.8215813"
}
```

レスポンスには、RealmJoin Windows Client がローカル Support Account を作成するまでのおおよその時間が含まれます。この例では、少なくとも 12 分待つことを想定してください。クライアントが長い間確認されていない場合は、 `null` を見積もりの代わりに数値ではなく受け取ることがあります。

RealmJoin Windows Client は、既定で 30 分ごとにジョブをポーリングします。API が提供する概算は、Windows Client が最後にチェックインした時刻に基づいています。

## Support Account 資格情報の取得

エンドポイント `/laps/retrieve` は、Support Account がすでに作成されているかを確認するため、また Support Account の実際の資格情報を取得するために使用されます。

同じ `deviceId` の `9999dab9-f946-40ee-9a17-2500c8d00878` と同じように [上記](#requesting-a-support-account).

この例では、Support Account（フルネーム: "Local Support Admin Account"）が RealmJoin Windows Client により対象デバイス上に作成されています：

![ローカル アカウント - Support Account が正常に作成されました](https://3438325150-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MkrcM7cKOpXKri1kVrh%2Fuploads%2F8ePPJ2SxA29zcJsmGKX7%2FLaps-after.png?alt=media\&token=2d24e9ce-fa68-4499-a597-f0789f0a6115)

**依頼**

ヘッダー:

```http
Authorization: Basic dC0xMjM0MTIzNDpteVMzY3JldCE=
Content-Type: application/json
```

リクエスト / URI:

```http
POST https://customer-api.realmjoin.com/laps/retrieve?deviceID=9999dab9-f946-40ee-9a17-2500c8d00878
```

このエンドポイントはリクエスト本文を想定していません。

**レスポンス**

資格情報がまだ利用できない場合、エンドポイントは Http ステータスを返します: `404` (見つかりません) と、本文にいくつかの技術的詳細が含まれます:

本文 (JSON)

```json
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "見つかりません",
    "status": 404,
    "traceId": "00-4c56c3cb0f9b394abf934b107b148613-1234b2497e261649-00"
}
```

資格情報の準備が整うまで、照会を続けることができます。

資格情報の準備ができた場合、エンドポイントは Http ステータスを返します: `200` (OK) と、資格情報:

本文 (JSON)

```json
{
    "password": "Upji1234",
    "username": "ADM-5A2F2169",
    "accountExpirationDate": "2021-12-21T02:14:07+00:00"
}
```

これらの資格情報を使用して、たとえば AnyDesk Supporter Client を介して接続することで、ユーザーにサポートを提供できます。

ご覧のとおり、既定では Support Account の有効期間は限られており、期限切れ後にアクセスが必要な場合は再作成する必要があります。これは、高権限の資格情報が日々の運用タスクをまたいで残存しないようにするためです。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/dev-reference/local-admin-password-management.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
